npm

Join us for the upcoming webinar, "Enterprise JavaScript done right: the tools you love, the security you need."Sign up here »

ember-cli-build-notifications

0.4.0 • Public • Published

ember-cli-build-notifications

npm version Build Status Ember Observer Score

This addon adds support for Linux, Mac OS X and Windows alerts when ember-cli has a buildError and postBuild (when the build is successful).

image image

Installation

ember install ember-cli-build-notifications

Usage

Config Options Ember CLI Build Event Default
buildError buildError true
buildSuccess postBuild false

To override defaults, add the following to the config file {app-name}/config/build-notifications.js:

module.exports = {
  buildError: {
    notify: true,
    notificationOptions: {
      sound: true
    }
  },
  buildSuccess: {
    notify: true,
    notificationOptions: {
      sound: true
    }
  }
};

The notificationOptions settings are passed directly into node-notifier, see their docs for a full list of available settings

Requirements

  • Mac OS X: >= 10.8 or Growl if earlier.
  • Linux: notify-osd installed (Ubuntu should have this by default)
  • Windows: >= 8, task bar balloon if earlier or Growl if that is installed.
  • General Fallback: Growl

Powered by mikaelbr/node-notifier and it's dependencies.

Contributing

Installation

  • git clone <repository-url>
  • cd ember-cli-build-notifications
  • yarn install

Running tests

  • npm run nodetest
  • ember test – Runs the test suite on the current Ember version
  • ember test --server – Runs the test suite in "watch mode"
  • ember try:each – Runs the test suite against multiple Ember versions

Running the dummy application

For more information on using ember-cli, visit https://ember-cli.com/.

Acknowledgment

License

This project is licensed under the MIT License.

Keywords

install

npm i ember-cli-build-notifications

Downloadsweekly downloads

5,311

version

0.4.0

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
Report a vulnerability